Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3638 - rpm --sign setup misdocumented/not documented
Summary: rpm --sign setup misdocumented/not documented
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-22 17:46 UTC by Anderson, Dan E.
Modified: 2015-01-07 23:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-18 18:29:02 UTC


Attachments (Terms of Use)

Description Anderson, Dan E. 1999-06-22 17:46:08 UTC
I was trying to create rpms for the rhcn Contrib|Net.
However, lots of things are misdocumented/not documented.
I had to add debug to the rpm source to find how to use it.
Please correct!!!!!!!!

1. /usr/man/man8/rpm.8 (section PGP_SIGNATURES)
1a. The "pgp" must be on the same line as %_signature
1b. Same with %_pgp_name
1c. Same with %pgp_name
1d. %_pgp_name's value is missing the initial double quote
(")

2. Add a line line in the man page
%_pgpbin /usr/local/bin/pgp
(or whereever pgp is located)
Also another file must exist with the version appended in
the same directory.
E.g., /usr/local/bin/pgp26 or /usr/local/bin/pgp50
(Ref: pgp source file lib/signature.c)

2. File /usr/doc/rpm-3.0.1/signatures
2a. Change references to rpmrc to
 "/etc/rpm/macros or ~/.rpmmacros"
2b. Change "signature" to "%_signature"
2c. Change "pgp_name" to "%_pgp_name"
2d. Add "%_pgpbin"

------- Additional Comments From   06/23/99 02:02 -------
The RPM HOWTO (v2.0) has the same problems.
Also the RPM HOWTO should mention file
"/etc/rpm/macros or ~/.rpmmacros"

------- Additional Comments From   06/26/99 13:33 -------
In the RPM HOWTO, also remove mention of the /etc/rpmrc
vendor, packager, and distribution
 keywords.  They are now in the
/etc/rpm/macros or ~/.rpmmacros file and are renamed
%vendor, %packager, and %distribution

Comment 1 Jeff Johnson 1999-08-18 18:29:59 UTC
Fixed in rpm-3.0.3.


Note You need to log in before you can comment on or make changes to this bug.